Page MenuHomePhabricator

1.40.0-wmf.6 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
dduvall
Release Version
1.40.0-wmf.6
Release Date
Oct 17 2022, 12:00 AM

2022 week 42 1.40-wmf.6 Changes wmf/1.40.0-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, October 17th:

Monday October 17thTuesday, October 18thWednesday, October 19thThursday, October 20thFriday
Backports only.Branch wmf.6 and deploy to Group 0 Wikis.Deploy wmf.6 to Group 1 Wikis.Deploy wmf.6 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.5
Next: 1.40.0-wmf.7

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dduvall.
thcipriani set the point value for this task to 5.
daniel added a subscriber: daniel.

Needs fixing before wmf.6 is tagged: T320703: VisualEditor can't save pages on de.wikipedia.beta.
If we don't have a proper solution by then, we need to revert https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/827005.

Seems like this will only affect beta. Wikitech uses VE in dirct mode, but it doesn't have $wgVisualEditorFullRestbaseURL or $wgVisualEditorRestbaseURL set.

Change 843534 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.6] Branch commit for wmf/1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843534

Change 843534 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.6] Branch commit for wmf/1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843534

Mentioned in SAL (#wikimedia-operations) [2022-10-18T07:39:59Z] <hashar> scap stage-train 1.40.0-wmf.6 # T320511

Change 843868 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843868

Change 843868 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843868

Mentioned in SAL (#wikimedia-operations) [2022-10-18T07:47:32Z] <hashar@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.6 refs T320511

Mentioned in SAL (#wikimedia-operations) [2022-10-18T08:23:37Z] <hashar@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.6 refs T320511 (duration: 36m 04s)

Change 843871 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843871

Change 843871 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843871

Mentioned in SAL (#wikimedia-operations) [2022-10-18T08:35:44Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.6 refs T320511

Mentioned in SAL (#wikimedia-operations) [2022-10-18T08:50:42Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: Revert "group0 wikis to 1.40.0-wmf.6" # T320511

Change 843536 had a related patch set uploaded (by Urbanecm; author: Hashar):

[operations/mediawiki-config@master] Revert "group0 wikis to 1.40.0-wmf.6"

https://gerrit.wikimedia.org/r/843536

Change 843536 merged by Urbanecm:

[operations/mediawiki-config@master] Revert "group0 wikis to 1.40.0-wmf.6"

https://gerrit.wikimedia.org/r/843536

Change 843536 had a related patch set uploaded (by Urbanecm; author: Hashar):

[operations/mediawiki-config@master] Revert "group0 wikis to 1.40.0-wmf.6"

https://gerrit.wikimedia.org/r/843536

FTR, this was already deployed to production, but not uploaded/merged to Gerrit. This was only to fix deployment server's state.

@Urbanecm my bad, I forgot to change the revert commit back to Gerrit. Thank you!

Change 843930 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843930

Change 843930 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/843930

Mentioned in SAL (#wikimedia-operations) [2022-10-18T11:37:06Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.6 refs T320511

Change 844433 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/844433

Change 844433 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/844433

Mentioned in SAL (#wikimedia-operations) [2022-10-19T08:12:16Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.6 refs T320511

Mentioned in SAL (#wikimedia-operations) [2022-10-19T08:15:54Z] <hashar@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.6 refs T320511 (duration: 03m 37s)

Change 844914 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/844914

Change 844914 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.6

https://gerrit.wikimedia.org/r/844914

Mentioned in SAL (#wikimedia-operations) [2022-10-20T08:07:28Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.40.0-wmf.6 refs T320511